Subject: Re: bug#2151: 23.0.90; Building the 23.0.90 pretest recompiles Lisp files

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Feb 2009 23:55:43 +0200

> From: Magnus Henoch <[email-masked]>
> Date: Mon, 02 Feb 2009 21:25:59 +0000
> Cc: [email-masked]
> 
> I think (info "(make)Prerequisite Types") provides just that.  (And the
> Features section at least doesn't explicitly say that this is unique for
> GNU make.)
> 
> I.e. something like:
> 
> %.elc: %.el | bootstrap-emacs
>        cp $< $@

I'm quite sure this is definitely GNU Make specific, both the static
pattern rules using % and the | thing.  Even if other Unix Make
flavors support something like that, not all of them do.

I think providing an empty bootstrap-emacs file in the tarball should
solve the problem in a much more portable way.